> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.conversive.ai/api-sdk-docs/send-bulk-sms/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.conversive.ai/_mcp/server. # Send Bulk SMS POST https://api.beconversive.com/v1/sms/send/bulk Content-Type: application/json Sends multiple SMS messages in one call. Reference: https://docs.conversive.ai/api-sdk-docs/send-bulk-sms ## Authentication - `apiKey` header (required) — API Key authentication via header ## Servers - `https://api.beconversive.com` (US Data Center, default) - `https://eu-api.beconversive.com` (EU Data Center) - `https://aus-api.beconversive.com` (Australia Data Center) ## Request ### Headers - `apiKey` (string, required) ### Body (application/json) This endpoint expects an object. - `sms_list` (list of V1SmsSendBulkPostRequestBodyContentApplicationJsonSchemaSmsListItems, optional) - `source` (string, optional) ## Response ### 200 Bulk SMS submitted ## Errors ### 401 Unauthorized Error Unauthorized - `any` ## Types ### V1SmsSendBulkPostRequestBodyContentApplicationJsonSchemaSmsListItems - `sms_text` (string, optional) - `sender_id` (string, optional) - `mobile_number` (string, optional) - `mms_url_list` (list of string, optional) ## Examples **Request** ```json {} ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.beconversive.com/v1/sms/send/bulk" payload = {} headers = { "apiKey": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.beconversive.com/v1/sms/send/bulk'; const options = { method: 'POST', headers: {apiKey: '', 'Content-Type': 'application/json'}, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.beconversive.com/v1/sms/send/bulk" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("apiKey", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.beconversive.com/v1/sms/send/bulk") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["apiKey"] = '' request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.beconversive.com/v1/sms/send/bulk") .header("apiKey", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.beconversive.com/v1/sms/send/bulk', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', 'apiKey' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.beconversive.com/v1/sms/send/bulk"); var request = new RestRequest(Method.POST); request.AddHeader("apiKey", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "apiKey": "", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.beconversive.com/v1/sms/send/bulk")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```